<?php
declare(strict_types=1);

namespace App\State\Processor\Organization;

use App\State\Processor\EntityProcessor;
use App\Service\OnChange\Organization\OnParametersChange;
use JetBrains\PhpStorm\Pure;

/**
 * Classe ParametersProcessor qui est un custom dataPersister gérant la resource Parameters
 */
class ParametersProcessor extends EntityProcessor
{
    #[Pure]
    public function __construct(
        OnParametersChange $onChange
    )
    {
        parent::__construct($onChange);
    }
}
